#Open TestRun and IPGMovie
LoadTestRun "Examples/BasicFunctions/Road/Networks/CountryRoad"
Movie start
#Add Realtime Expressions as KeyValue:
#  Create an UAQ "Screenshot_time" that contains the points in time for which a screenshot of IPGMovie should be taken
#  In this example: screenshot after 200m and 500m
KeyValue set TestRun:DrivMan.Cmds {first() ? Qu::Screenshot_time=0; first(Vhcl.sRoad>200) ? Screenshot_time=Time; first(Vhcl.sRoad>500) ? Screenshot_time=Time}
#Make sure that the UAQ "Screenshot_time" is saved to the resultfile
OutQuantsAdd {Screenshot_time}
SaveMode save

#Run simulation
StartSim
WaitForStatus running
WaitForStatus idle

#Clean up
KeyValue set TestRun:DrivMan.Cmds 
SaveMode collect

#Read "Screenshot_time" from the resultfile
ImportResFile [GetLastResultFName] {Screenshot_time} Results

#Loop over all values of "Screenshot_time":
#  If it changes, export a picture from IPGMovie for this time
set event_old 0
for {set i 1} {$i<[llength $Results(Screenshot_time)]} {incr i} {
    set event [lindex $Results(Screenshot_time) $i]
    if {$event>$event_old} {
	Log "Screenshot at $event seconds"
	Movie export window "SimOutput/Screenshots/CountryRoad_$event.jpg" 0 -start $event -end $event
	set event_old $event
    }
}
